Subject: bug#38384: (next|previous)-buffer silent about not switching

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Nov 2019 20:44:15 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Tue, 26 Nov 2019 19:23:55 +0100
> Cc: [email-masked]
> 
> On Tue, Nov 26, 2019 at 7:04 PM Eli Zaretskii <[email-masked]> wrote:
> 
> > Granted, I'm worried mainly about code outside of the Emacs tree.
> 
> Even before my patch, both functions can in some situations signal user-error without checking for interactive
> use.
> 
>   (cond
>    ((window-minibuffer-p)
>     (user-error "Cannot switch buffers in minibuffer window"))
>    ((eq (window-dedicated-p) t)
>     (user-error "Window is strongly dedicated to its buffer"))

I don't see how this is relevant to the issue at hand, what did I
miss?